<html>
<!--
  Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.

 This software is the confidential and proprietary information of Sun
 Microsystems, Inc. ("Confidential Information").  You shall not
 disclose such Confidential Information and shall use it only in
 accordance with the terms of the license agreement you entered into
 with Sun.

 SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 THIS SOFTWARE OR ITS DERIVATIVES.
-->

<body bgcolor="white">
<h1> Request Information </h1>
<font size="4">
JSP Request Method: <%=request.getMethod()%>
<br>
Request URI: <%=request.getRequestURI() %>
<br>
Request Protocol: <%=request.getProtocol()%>
<br>

Servlet path: <%=request.getServletPath()%>
<br>
Path info: <%=request.getPathInfo()%>
<br>
Path translated: <%=request.getPathTranslated()%>
<br>
Query string: <%=request.getQueryString()%>
<br>
Content length: <%=request.getContentLength()%>
<br>
Content type: <%=request.getContentType()%>
<br>
Server name: <%=request.getServerName()%>
<br>
Server port: <%=request.getServerPort()%>
<br>
Remote user: <%=request.getRemoteUser()%>
<br>
Remote address: <%=request.getRemoteAddr()%>
<br>
Remote host: <%=request.getRemoteHost()%>
<br>
Authorization scheme: <%=request.getAuthType()%> 
<hr>
The browser you are using is <%=request.getHeader("User-Agent")%>
<hr>
</font>
</body>
</html>
